Obter uma fonte de conciliação
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"contextId": "<string>",
"name": "<string>",
"type": "LEDGER",
"side": "LEFT",
"config": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}Obter uma fonte de conciliação
Use este endpoint para recuperar os detalhes de uma fonte de conciliação específica pelo seu identificador.
GET
/
v1
/
contexts
/
{contextId}
/
sources
/
{sourceId}
Obter uma fonte de conciliação
Autorizações
Autenticação por Bearer token (formato: "Bearer {token}")
Cabeçalhos
A unique identifier for tracing the request across services.
Parâmetros de caminho
The unique identifier of the reconciliation context.
The unique identifier of the reconciliation source.
Resposta
Fonte recuperada com sucesso
Categoria de fonte de dados para conciliação
Opções disponíveis:
LEDGER, BANK, GATEWAY, CUSTOM, FETCHER Lado da conciliação que esta fonte alimenta
Opções disponíveis:
LEFT, RIGHT Show child attributes
Show child attributes
Timestamp RFC 3339 em que a fonte foi arquivada; ausente quando a fonte está ativa
Esta página foi útil?

